Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.netz
Class Clientempfaenger

    java.lang.Object
      java.lang.Thread
          sum.netz.Clientempfaenger

All Implemented Interfaces:
  Serializable, Runnable

     class Clientempfaenger

extends Thread
implements Serializable

Hilfsklasse fuer die ClientVerbindung, die in einem eigenen Thread den Empfang einer Nachricht vom Server realisiert.

Version:
  7.3 vom 11.10.2011
Author:
  Bernard Schriek, Horst Hildebrecht

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`Thread.State, Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`Clientempfaenger(Clientverbindung pClientverbindung, boolean pTestModus)` Der ClientEmpfaenger hat die zugehörige ClientVerbindung kennen gelernt.

Method Summary
`void` | `gibFrei()` Der ClientEmpfaenger arbeitet nicht mehr
`void` | `run()` Solange der Server Nachrichten sendete, wurden diese empfangen und an die ClientVerbindung weitergereicht.

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Clientempfaenger

    public Clientempfaenger(Clientverbindung pClientverbindung,
                            boolean pTestModus)

  Der ClientEmpfaenger hat die zugehörige ClientVerbindung kennen gelernt.

  Parameters:
    `pClientVerbindung` - zugehörige ClientVerbindung, die die einkommenden Nachrichten bearbeitet
    `pTestModus` - Wenn true, werden bei jeder Operation Meldungen auf der Konsole ausgegeben.

Method Detail

### gibFrei

    public void gibFrei()

  Der ClientEmpfaenger arbeitet nicht mehr

### run

    public void run()

  Solange der Server Nachrichten sendete, wurden diese empfangen und an die ClientVerbindung weitergereicht.

  Specified by:
    `run` in interface `Runnable`
  Overrides:
    `run` in class `Thread`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD